{% extends 'base.html' %}
{% block title %}{{ projet.titre }}{% endblock %}

{% block body %}
    <div class="p-4">
        <h1 class="lead display-4">{{ projet.titre }}
            {% load static %}
            <img src="{% static 'img/img.png' %}" width="50"></h1>
        <p><strong>Créateur :</strong> <a href="/users/{{ myuser.id }}" class="text-success"> {{ myuser.username }}</a></p>
        <p><strong>Etat :</strong> {{ projet.etat }}</p>
        <p><strong>Karma :</strong> {{ projet.karma }}</p>
        <p class="lead">{% autoescape off %}{{ projet.description }}{% endautoescape %}</p>
        <div class="progress">
            <div class="progress-bar bg-success" role="progressbar"
                 style="width:{{ progress }}%"
                 aria-valuemin="0" aria-valuemax="100"></div>
            <blockquote> {{ progress_no_limit }}%</blockquote>
        </div>
        <p>{{ projet.montant | stringformat:".2f" }}€ récoltés sur
            <strong>{{ projet.montantMax | stringformat:".2f" }}€ </strong></p>

        {% if user.financeur and projet.etat == "Funding" %}
            <h3 class="text-success">Participez au financement de ce projet !</h3>

            <form method="post" action="/projects/donate">
                {% csrf_token %}
                <div class="input-group" style="width: 18em;">
                    <div class="input-group-prepend">
                        <span class="input-group-text">EUR</span>
                    </div>
                    {% load mathfilters %}
                    <input id="amount" name="amount" type="number" min="1"
                           max="{{ projet.montantMax | sub:projet.montant }}" class="form-control"
                           aria-label="Amount (to the nearest dollar)"
                           value="10">
                    <div class="input-group-append">
                        <span class="input-group-text">.00 €</span>
                        <button type="submit" class="btn btn-success">Financer</button>
                    </div>
                </div>
                <input name="project_id" type="number" value="{{ projet.id }}" style="display:none">

            </form>
        {% endif %}

        {% if user.evaluateur and projet.etat == "Created" %}
            <h1>Evaluate</h1>

            <form method="post" action="/projects/evaluate">
                {% csrf_token %}
                <div class="form-group">
                    <label for="note">Note :</label>
                    <select class="form-control" id="note" name="note">
                        <option>0</option>
                        <option>1</option>
                        <option>2</option>
                        <option>3</option>
                        <option>4</option>
                    </select>
                </div>
                <input name="project_id" type="number" value="{{ projet.id }}" style="display:none">

                <button id="button" type="submit" class="btn btn-secondary">Noter</button>
            </form>
        {% endif %}
    </div>
{% endblock %}